%define version 1.0.3
%define release 4mdk
%define name libgnet


Summary: libGnet, a network library
Name:      %{name}
Version:   %{version}
Release:   %{release}
Copyright: LGPL
Group: System/Libraries
Source:   gnet-%{version}.tar.bz2
URL: http://www.eecs.umich.edu/~dhelder/misc/gnet
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

Features:
  * TCP 'client' sockets
  * TCP 'server' sockets
  * Non-blocking TCP sockets
  * UDP
  * IP Multicast
  * Internet address abstraction

Gnet requires Glib 1.2.  You can get this at www.gtk.org.  Or, if you
have a system with packages (eg, Red Hat or Debian), look for the
latest glib package.

Comments, questions, and bug reports should be sent to
gnet-dev@eecs.umich.edu.

The Gnet homepage is at http://www.eecs.umich.edu/~dhelder/misc/gnet

%package devel
Summary: Header files for the Gnet library
Group: Development/C

%description devel
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.
This package allows you to develop applications that use the Gnet
library.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -n gnet-%{version}

%configure

%build
#uname -a|grep SMP && make -j 2 || make 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL HACKING
%{_bindir}/*
%{_datadir}/aclocal/*
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc doc/html
%{_includedir}/gnet/*.h
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.3-4mdk
- Change devel doc to devel package

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.3-3mdk
- change name
- Rebuild for next release

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-2mdk
- macros
- BM

* Tue Jul  4 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.3-1mdk
- First mdk release
- Mandrake adaptation
- Clean spec file

* Mon Feb 28 2000 David Helder <dhelder@umich.edu>
- Updated for version 1.0

* Sat Jan 15 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- Moved lib*.so and lib*a to the devel package
- Creation of a gnet.spec.in for autoconf process

* Wed Jan 14 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- HTML documentation has been move to /usr/doc/gnet-{version}/html

* Thu Jan 13 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- First try at an RPM
